program fpwm;
{$ifdef fpc}
  {$mode objfpc}
{$H+}
{$endif}
{$include fpwmdefines.inc}
uses
  SysUtils,
  {$ifdef FPWM_USE_LCL}
  Interfaces, Forms,
  {$endif}
  fpwmgeneral,
  fpwmmanager, xmd
  ;
var
  WM: TFPWMWindowManager;
{$IFDEF WINDOWS}
{$R fpwm.rc}
{$ENDIF}
begin
  {$ifdef FPWM_USE_LCL}
  Application.Initialize;
  {$endif}
  WM := TFPWMWindowManager.Create;
  WM.InitWM();
  WM.MainLoop();
end.